c Easy SPRNG interface

c returns the seed used
c if iseed=0, then a seed is made from the date/time
       subroutine easy_init_rng(iseed)
#include "sprng_f.h"
          SPRNG_POINTER stream,cm_stream
          integer*4 iseed
          include 'param.h'
c          integer make_sprng_seed
          common/easyrng/stream,cm_stream

          if (iseed.eq.0) then
             iseed = make_sprng_seed()
          endif
         
c          stream = init_sprng(iseed,SPRNG_DEFAULT)
          stream = init_sprng(myrank,nproc+1,iseed,SPRNG_DEFAULT)
          cm_stream = init_sprng(nproc,nproc+1,iseed,SPRNG_DEFAULT)
       end  

       subroutine easy_print_rng()
          integer junk,print_sprng
#include "sprng_f.h"
          SPRNG_POINTER stream,cm_stream
          common/easyrng/stream,cm_stream
          junk = print_sprng(stream)
       end 

       function rng()
         real*8 rng,sprng
#include "sprng_f.h"
          SPRNG_POINTER stream,cm_stream
          common/easyrng/stream,cm_stream
         rng = sprng(stream)
       end 

       function rng_cm()
         real*8 rng_cm,sprng
#include "sprng_f.h"
          SPRNG_POINTER stream,cm_stream
          common/easyrng/stream,cm_stream
         rng_cm = sprng(cm_stream)
       end 

       function irng()
         integer irng,isprng
#include "sprng_f.h"
          SPRNG_POINTER stream,cm_stream
          common/easyrng/stream,cm_stream
         irng = isprng(stream)
       end 


c iunit the unit number of an unformatted file
       subroutine save_rng(iunit)
          character buffer(MAX_PACKED_LENGTH)
          integer size,iunit,pack_sprng
#include "sprng_f.h"
          SPRNG_POINTER stream,cm_stream
          common/easyrng/stream,cm_stream

          size = pack_sprng(stream,buffer)
          write (iunit) size
          write (iunit) buffer
       end

       subroutine load_rng(iunit)
#include "sprng_f.h"
          SPRNG_POINTER stream,cm_stream
          character buffer(MAX_PACKED_LENGTH)
          integer size,iunit
          common/easyrng/stream,cm_stream
          read (iunit) size
          read (iunit) buffer1
          stream = unpack_sprng(buffer)
       end
