
c simple Pade form, for free space 

       subroutine ee_jastrow(dist,vp,sum)
          implicit none
          include 'param.h'
          real*8 dist(nelec-1)
          real*8 vp(nvp)
          real*8 sum
          
          real*8  den
          integer i

c          ee_b = sqrt(.5d0/vp(1))
          ee_b = vp(1)
          sum = 0.d0
          do i=1,nelec-1
             den = 1.d0 + ee_b*dist(i)
             sum = sum + ee_a*dist(i)/den
          enddo
       end

       subroutine ee_jastrow_d(dist,vp,sum,sum_u2,du)
          implicit none
          include 'param.h'
          real*8 dist(nelec-1)
          real*8 vp(nvp)
          real*8 sum,sum_u2
          real*8 du(nelec-1)

          real*8  den
          integer i

          sum = 0.d0
          sum_u2 = 0.d0

c          ee_b = sqrt(.5d0/vp(1))
          ee_b = vp(1)
          do i=1,nelec-1
             den = 1.d0 + ee_b*dist(i)
             sum = sum + ee_a*dist(i)/den
             du(i) = ee_a/den**2
             sum_u2 = sum_u2 - 2.d0*ee_a*ee_b/den**3
          enddo

       end

       subroutine ee_jastrow_d_vp(dist,vp,sum,sum_delsqu,gradu,vp_deriv)
          implicit none
          include 'param.h'
          real*8 dist(nelec)
          real*8 vp(nvp)
          real*8 sum,sum_delsqu
          real*8 gradu(nelec-1)
          real*8 vp_deriv(nvp_ee)

          real*8  den,bd
          integer i

          sum = 0.d0
          sum_delsqu = 0.d0

c          ee_b = sqrt(.5d0/vp(1))
c          bd = - ee_b*.5d0/vp(1)
          ee_b = vp(1)
          do i=1,nelec-1
             den = 1.d0 + ee_b*dist(i)
             sum = sum + ee_a*dist(i)/den
             gradu(i) = ee_a/den**2
             sum_delsqu = sum_delsqu - 2.d0*ee_a*ee_b/den**3
c with beta
c             vp_deriv(1) = vp_deriv(1) - bd*ee_a*dist(i)**2/den**2
c using ee_b directly
             vp_deriv(1) = vp_deriv(1) - ee_a*dist(i)**2/den**2
          enddo

       end

       subroutine en_jastrow(dist,vp,sum)
          implicit none
          include 'param.h'
          real*8 dist(nelec)
          real*8 vp(nvp)
          real*8 sum
          
          real*8  den
          integer i

c          en_b = sqrt(1.d0/vp(1))
          en_b = vp(ien)

          sum = 0.d0
          do i=1,nnuclei
             den = 1.d0 + en_b*dist(i)
             sum = sum + en_a*dist(i)/den
          enddo
       end

       subroutine en_jastrow_d(dist,vp,sum,sum_u2,du)
          implicit none
          include 'param.h'
          real*8 dist(nelec)
          real*8 vp(nvp)
          real*8 sum,sum_u2
          real*8 du(nnuclei)

          real*8  den
          integer i

          sum = 0.d0
          sum_u2 = 0.d0

c          en_b = sqrt(1.d0/vp(1))
          en_b = vp(ien)
          do i=1,nnuclei
             den = 1.d0 + en_b*dist(i)
             sum = sum + en_a*dist(i)/den
             du(i) = en_a/den**2
             sum_u2 = sum_u2 - 2.d0*en_a*en_b/den**3
          enddo

       end

       subroutine en_jastrow_d_vp(dist,vp,sum,sum_delsqu,gradu,vp_deriv)
          implicit none
          include 'param.h'
          real*8 dist(nelec)
          real*8 vp(nvp)
          real*8 sum,sum_delsqu
          real*8 gradu(nelec-1)
          real*8 vp_deriv(nvp_ee)

          real*8  den,bd
          integer i

          sum = 0.d0
          sum_delsqu = 0.d0

c          en_b = sqrt(1.d0/vp(1))
c          bd = - en_b*.5d0/vp(1)
          en_b = vp(ien)
          do i=1,nnuclei
             den = 1.d0 + en_b*dist(i)
             sum = sum + en_a*dist(i)/den
             gradu(i) = en_a/den**2
             sum_delsqu = sum_delsqu - 2.d0*en_a*en_b/den**3
c with beta
c             vp_deriv(1) = vp_deriv(1) - bd*en_a*dist(i)**2/den**2
c using b directly
             vp_deriv(1) = vp_deriv(1) - en_a*dist(i)**2/den**2
          enddo
       end

