

       subroutine ee_potential(dist,pot)
          implicit none
          include 'param.h'
          integer i
          real*8 dist(nelec-1)
          real*8 pot

          pot = 0.d0
          do i=1,nelec-1
             pot = pot + 1.d0/dist(i)
          enddo

       end
  
       subroutine nn_potential(dist,pot)
          implicit none
          include 'param.h'
          integer i
          real*8 dist(nnuclei)
          real*8 pot

          pot = 0.d0
          do i=1,nnuclei-1
             if (dist(i).eq.0.0d0) print*,'zero, i:',i
             pot = pot + 1.d0/dist(i)
          enddo

       end

       subroutine en_potential(dist,pot)
          implicit none
          include 'param.h'
          integer i
          real*8 dist(nnuclei)
          real*8 pot

          pot = 0.d0
          do i=1,nnuclei
             pot = pot - 1.d0/dist(i)
          enddo

       end

       subroutine total_nuclear_potential(npos,pot)
          implicit none
          include 'param.h'
          real*8 npos(ndim,nnuclei), pot
          integer j
          real*8 nuc_pot,tv(nnuclei),tv3(ndim,nnuclei),pt

          nuc_pot = 0.d0
          do j=1,nnuclei
             call nn_dist(j,npos,npos(1,j),tv,tv3)
             call nn_potential(tv,pt)
             nuc_pot = nuc_pot + .5d0*pt
          enddo
          pot = nuc_pot
       end
