
      subroutine rew_min(nsteps,nblocks,itmax,minit,
     >                    npos,epos,mup,mdown,centers,rotmat,vp,
     >                    scale,mintol)

      implicit none
      include 'param.h'
      include 'configs.h'
      integer nsteps,nblocks,itmax,minit
      real*8 epos(ndim,nelec),npos(ndim,nnuclei)
      real*8 mup(nup,nup),mdown(ndown,ndown)
      real*8 centers(ndim,ncenter),rotmat(ndim,ndim,npair),vp(nvp)
      real*8 scale(nvp),x(nvp),mintol

      integer it,i,vmc_nb,nac,ns,nb
      real*8 det,en,ke,pe,lpsi
      real*8  sum,ssq,ave,var,nuc_pot
 
      integer liv,lv
      parameter (liv=83+nvp)
      parameter (lv=106+nvp*(nconfig_max +2*nvp + 17) + 2*nconfig_max)
      integer iv(liv),ui(1)
      real*8 v(lv),ur(1)

      real*4 etime,tme1(2),tme2(2),tme,opt_time
      external etime
      external mincalc
      real*8 dstak
      common/cstak/dstak(640000)

      opt_time = 0.0
     
      do i=1,liv
         iv(i) = 0
      enddo
      call divset(1,iv,liv,lv,v)
      iv (17) = minit
      call total_nuclear_potential(npos,nuc_pot)
      do it=1,itmax

         tme =  etime(tme1)
         call gen_config(nsteps,nblocks,npos,epos,mup,mdown,centers,
     >                   rotmat,vp)


c  using the port library
         call istkin(640000,4)
         call i8save(2,1,.true.)
         do i=1,nvp
            x(i) = vp(i)
         enddo
c         x(1) = vp(1)
c         x(2) = vp(13)
c         x(3) = vp(14)
c          call mincalc(nvp,x,minit,en)
c         call dsmnf(nvp,x,mincalc,minit,mintol)
c         print*,'dn2f going in: ',iv(1)
         print*,'start min: nconfig,nvp',nconfig,nvp
         print*,'minit,mintol',minit,mintol
         call dsn2f(nconfig,nvp,x,mincalc,minit,mintol)
c         call dn2f(nconfig,nvp,x,mincalc,iv,liv,lv,v,ui,ur,
c     >               mincalc)
         call erroff()
c         print*,'dn2f return: ',iv(1)
         print*,'end min'
         do i=1,nvp
            vp(i) = x(i)
         enddo
c         vp(1) = x(1)
c         vp(13) = x(2)
c         vp(14) = x(3)
         tme =  etime(tme2)
         opt_time = opt_time + tme2(1)-tme1(1)

        call fermion_fill(mup,mdown,centers,rotmat,vp,epos)
        call fermion_det(mup,mdown,det)
        sum = 0.d0
        ssq = 0.d0
        do i=1,nvp
           write(16,*) i,vp(i)
        enddo
        write(16,*)
        vmc_nb = 10000
        do nb=1,vmc_nb
           do ns=1,nsteps
              call metropolis(mup,mdown,npos,epos,centers,rotmat,vp,
     >                        det,nac)
           enddo
           call local_energy(npos,epos,mup,mdown,centers,rotmat,vp,
     >                       en,ke,pe,lpsi)
           sum = sum + en
           ssq = ssq + en*en
        enddo
        ave = sum/vmc_nb
        var = ssq/vmc_nb - ave*ave
        print*,"energy = ",ave+nuc_pot, sqrt(var/(vmc_nb-1))
        print*,"variance = ",var
        print*,"time: ",tme2(1)-tme1(1)


      enddo

      print*,'opt time: ',opt_time

      end
